Bug 4881 - user/group enumeration blocks parent winbindd for large domains
Summary: user/group enumeration blocks parent winbindd for large domains
Status: RESOLVED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: winbind (show other bugs)
Version: 3.0.25b
Hardware: Other Windows 2003
: P3 major
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-14 14:04 UTC by C. Hill (mail address dead)
Modified: 2019-01-02 09:55 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description C. Hill (mail address dead) 2007-08-14 14:04:09 UTC
I have a Windows 2003 EE R2 SP2 x86 Active Directory domain with 300,000 users. (only 1 DC in the domain for simplicity of this test)
 
ADS Domain join is fine and easy, however after that 'wbinfo -u' fails over and over again. After a bit of a wait, every wbinfo request returns an error. (error looking up domain _____) even though it appears to be busy crunching SID data... and should  possibly be making me wait before returning an error.

At some point in time later,  (around 2007/07/25 15:54:54 in the logs) 
it will start working and keeps working for several minutes after that. Then it stops working again, and we see a flurry of activity on logwinbindd.

It seems to run in this "loop" indefinitely and makes the winbind service and it's utilities unusable.
As I understand it the theoretical max amount of users in an active directory is 1,000,000+ and yet I see this behavior even with 20,000 users. It only gets worse with more users.   


Also, winbindd is about 700MB residential and over a gigabyte overall memory - 

Logs LEVEL 10 and /var/lib/samba (if you need it) are at:

ftp://208.69.180.86/wb1
Logon: softeng@powerfile.com
Pass: SoftDev

wlog.tar.bz2 is the log - it's about 500MB expanded
wlib_samba.tar.bz2 - /var/lib/samba.
Comment 1 Gerald (Jerry) Carter 2007-08-14 14:10:07 UTC
I sent mail to Serge this morning explaining why this is happening.
Are you filing this bug to track any work on converting the enumeration
call to asynchronous chunks?  or did you not see that explanation yet?
Comment 2 C. Hill (mail address dead) 2007-08-15 14:23:14 UTC
Yes, I would like to track this via bugzilla, I.E. to have the "asynchronous chunks" here as well..

Comment 3 C. Hill (mail address dead) 2007-11-19 14:16:23 UTC
I am checking on the progress of this bug.... any news?
Comment 4 Volker Lendecke 2019-01-02 09:55:25 UTC
This is fixed for ages now. We still have some blocking calls in the parent winbind, bug wbinfo -u/-g does not block anymore.